> For the complete documentation index, see [llms.txt](https://docs.overdare.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.overdare.com/korean/development/api-reference/enums/bordermode.md).

# BorderMode

## Overview

BorderMode는 UI 요소의 테두리 위치를 정의하는 Enum입니다.

Frame의 BorderMode 속성에서 사용되며, 테두리가 요소의 내부, 중앙, 외부 중 어디에 위치할지를 결정합니다.

## Items

| Name    | Value | Description                  |
| ------- | ----- | ---------------------------- |
| Insert  | 0     | 테두리가 요소 내부에 위치합니다.           |
| Middle  | 1     | 테두리가 요소의 가장자리를 따라 중앙에 위치합니다. |
| Outline | 2     | 테두리가 요소 외부에 위치합니다.           |

## See also

{% content-ref url="/pages/ILy4KqUxpk0DLbyTk18t" %}
[Frame](/korean/development/api-reference/classes/frame.md)
{% endcontent-ref %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.overdare.com/korean/development/api-reference/enums/bordermode.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
